Bug 1418100 - screen brightness not preserved over suspend, always at max
Summary: screen brightness not preserved over suspend, always at max
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 21:13 UTC by Ilkka Tengvall
Modified: 2017-12-12 10:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:34:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Ilkka Tengvall 2017-01-31 21:13:20 UTC
Description of problem:
Screen brighness is always at max after suspend, even if it was at minimum before suspend. This is under wayland on F25. It used to work for years, not anymore.

Version-Release number of selected component (if applicable):

Linux ikzen 4.9.5-200.fc25.x86_64 #1 SMP Fri Jan 20 12:24:16 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
gnome-power-manager-3.22.2-1.fc25.x86_64


How reproducible:

Always


Steps to Reproduce:
1. Adjust the brightness to min
2. Close the lid to make laptop suspend
3. wake up

Actual results:

Screen brightness is at maximum

Expected results:

Screen brightness should be restored to whatever value it was before suspend.

Additional info:

Here are value dumps from sys before and after the suspend. See the first value in intel dir doesn't remain, only one in acpi_video0 does:


before
---------------------
[ikke@ikzen ~]$ grep -s . /sys/class/backlight/intel_backlight/*
/sys/class/backlight/intel_backlight/actual_brightness:68
/sys/class/backlight/intel_backlight/bl_power:0
/sys/class/backlight/intel_backlight/brightness:976
/sys/class/backlight/intel_backlight/max_brightness:976
/sys/class/backlight/intel_backlight/type:raw

[ikke@ikzen ~]$ grep -s . /sys/class/backlight/acpi_video0/*
/sys/class/backlight/acpi_video0/actual_brightness:0
/sys/class/backlight/acpi_video0/bl_power:0
/sys/class/backlight/acpi_video0/brightness:0
/sys/class/backlight/acpi_video0/max_brightness:10
/sys/class/backlight/acpi_video0/type:firmware
---------------------

after
---------------------
[ikke@ikzen ~]$ grep . /sys/class/backlight/intel_backlight/*
/sys/class/backlight/intel_backlight/actual_brightness:976
/sys/class/backlight/intel_backlight/bl_power:0
/sys/class/backlight/intel_backlight/brightness:976
/sys/class/backlight/intel_backlight/max_brightness:976
/sys/class/backlight/intel_backlight/type:raw

[ikke@ikzen ~]$ grep -s . /sys/class/backlight/acpi_video0/*
/sys/class/backlight/acpi_video0/actual_brightness:0
/sys/class/backlight/acpi_video0/bl_power:0
/sys/class/backlight/acpi_video0/brightness:0
/sys/class/backlight/acpi_video0/max_brightness:10
/sys/class/backlight/acpi_video0/type:firmware
---------------------


[ikke@ikzen ~]$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 05)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b5)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b5)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05)
00:1f.0 ISA bridge: Intel Corporation QS67 Express Chipset Family LPC Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)
02:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)
03:00.0 USB controller: Fresco Logic FL1009 USB 3.0 Host Controller (rev 02)


[ikke@ikzen ~]$ lspci -n
00:00.0 0600: 8086:0104 (rev 09)
00:02.0 0300: 8086:0116 (rev 09)
00:16.0 0780: 8086:1c3a (rev 04)
00:1b.0 0403: 8086:1c20 (rev 05)
00:1c.0 0604: 8086:1c10 (rev b5)
00:1c.1 0604: 8086:1c12 (rev b5)
00:1c.3 0604: 8086:1c16 (rev b5)
00:1d.0 0c03: 8086:1c26 (rev 05)
00:1f.0 0601: 8086:1c4d (rev 05)
00:1f.2 0106: 8086:1c03 (rev 05)
00:1f.3 0c05: 8086:1c22 (rev 05)
02:00.0 0280: 168c:0032 (rev 01)
03:00.0 0c03: 1b73:1009 (rev 02)

Comment 1 Fedora End Of Life 2017-11-16 19:25:42 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:34:40 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.